Bug 186131 - [maintainer-update] Fix build by adding 'pkgconf' dependency for games/crossfire-client
Summary: [maintainer-update] Fix build by adding 'pkgconf' dependency for games/crossf...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-26 16:10 UTC by Kevin Zheng
Modified: 2014-01-27 16:30 UTC (History)
0 users

See Also:


Attachments
file.diff (383 bytes, patch)
2014-01-26 16:10 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2014-01-26 16:10:00 UTC
The Crossfire client (games/crossfire-client) requires pkgconf to build the GTK interface, but does not fail in the configure script if it is not found. Adding this dependency fixes the build.

When committing this patch, please do NOT make changes unless absolutely necessary. The conversion to StageDir and other changes are pending in ports/185556 (please take a look at that if time).

References:

http://beefy3.isc.freebsd.org/bulk/83i386-default/2014-01-22_16h16m29s/logs/crossfire-client-1.70.0_4.log

http://beefy3.isc.freebsd.org/bulk/91amd64-default/2014-01-23_15h56m33s/logs/crossfire-client-1.70.0_4.log

http://beefy3.isc.freebsd.org/bulk/91i386-default/2014-01-24_16h59m58s/logs/crossfire-client-1.70.0_4.log

Fix: Patch attached with submission follows:
Comment 1 Bernhard Froehlich freebsd_committer 2014-01-27 14:44:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->decke

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-27 16:26:15 UTC
Author: decke
Date: Mon Jan 27 16:26:08 2014
New Revision: 341422
URL: http://svnweb.freebsd.org/changeset/ports/341422
QAT: https://qat.redports.org/buildarchive/r341422/

Log:
  - Stagify
  - Update dependencies to new shlib format
  - Fix build by adding USES=pkgconfig
  - Bump PORTREVISION
  
  PR:		ports/185556
  PR:		ports/186131
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com> (maintainer)

Modified:
  head/games/crossfire-client/Makefile
  head/games/crossfire-client/pkg-plist

Modified: head/games/crossfire-client/Makefile
==============================================================================
--- head/games/crossfire-client/Makefile	Mon Jan 27 16:22:55 2014	(r341421)
+++ head/games/crossfire-client/Makefile	Mon Jan 27 16:26:08 2014	(r341422)
@@ -3,7 +3,7 @@
 
 PORTNAME=	crossfire-client
 PORTVERSION=	1.70.0
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	games
 MASTER_SITES=	SF/crossfire/crossfire-${PORTVERSION}
 
@@ -13,9 +13,10 @@ COMMENT=	Cooperative multiplayer graphic
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
+LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl
 
 GNU_CONFIGURE=	yes
+USES=		pkgconfig
 USE_GL=		glut
 USE_GNOME=	gtk20 libglade2
 USE_SDL=	sdl image mixer
@@ -24,9 +25,6 @@ CONFIGURE_ARGS+=	--disable-alsa --disabl
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-MAN6=	crossfire-client-gtk2.6
-
-NO_STAGE=	yes
 post-patch:
 	${REINPLACE_CMD} -e '/#include <curl\/types.h>/d' \
 		${WRKSRC}/common/metaserver.c
@@ -36,8 +34,8 @@ post-patch:
 post-install:
 	${CP} ${WRKSRC}/pixmaps/48x48.png ${WRKSRC}/pixmaps/crossfire-client.png
 	${INSTALL_DATA} ${WRKSRC}/gtk-v2/crossfire-client.desktop \
-		${PREFIX}/share/applications
+		${STAGEDIR}${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKSRC}/pixmaps/crossfire-client.png \
-		${PREFIX}/share/pixmaps
+		${STAGEDIR}${PREFIX}/share/pixmaps
 
 .include <bsd.port.mk>

Modified: head/games/crossfire-client/pkg-plist
==============================================================================
--- head/games/crossfire-client/pkg-plist	Mon Jan 27 16:22:55 2014	(r341421)
+++ head/games/crossfire-client/pkg-plist	Mon Jan 27 16:26:08 2014	(r341422)
@@ -1,7 +1,7 @@
 bin/cfsndserv
 bin/crossfire-client-gtk2
+man/man6/crossfire-client-gtk2.6.gz
 share/applications/crossfire-client.desktop
-share/pixmaps/crossfire-client.png
 %%DATADIR%%/glade-gtk2/caelestis.glade
 %%DATADIR%%/glade-gtk2/chthonic.glade
 %%DATADIR%%/glade-gtk2/dialogs.glade
@@ -16,6 +16,7 @@ share/pixmaps/crossfire-client.png
 %%DATADIR%%/glade-gtk2/v1-redux.glade
 %%DATADIR%%/themes/Black
 %%DATADIR%%/themes/Standard
-@dirrm %%DATADIR%%/glade-gtk2
-@dirrm %%DATADIR%%/themes
-@dirrm %%DATADIR%%
+share/pixmaps/crossfire-client.png
+@dirrmtry %%DATADIR%%/themes
+@dirrmtry %%DATADIR%%/glade-gtk2
+@dirrmtry %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Bernhard Froehlich freebsd_committer 2014-01-27 16:26:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!